FUNCTION::IPMIB_FILT(3stap)

NAME
function::ipmib_filter_key - Default filter function for ipmib.* probes

SYNOPSIS

    ipmib_filter_key:long(skb:long,op:long,SourceIsLocal:long)

ARGUMENTS

skb
    pointer to the struct sk_buff

op
    value to be counted if skb passes the filter

SourceIsLocal
    1 is local operation and 0 is non-local operation

DESCRIPTION

This function is a default filter function. The user can replace this function with their own. The user-supplied filter function returns an index key based on the values in skb. A return value of 0 means this particular skb should be not be counted.

SEE ALSO
tapset::ipmib-filter-default(3stap)